# Created by pyp2rpm-3.3.2
%global pypi_name openstack-doc-tools

%bcond_without docs

# We don't have python-scrapy and it requires quite a few other packages
%bcond_with checks

Name:           python-%{pypi_name}
Version:        1.10.0
Release:        %mkrel 3
Summary:        Tools for OpenStack Documentation
Group:          Development/Python
License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(demjson)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(iso8601)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)
%if %{with checks}
BuildRequires:  python3dist(bashate)
BuildRequires:  python3dist(hacking)
BuildRequires:  python3dist(doc8)
BuildRequires:  python3dist(pylint)
BuildRequires:  python3dist(reno)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(scrapy)
%endif
%if %{with docs}
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(openstackdocstheme)
%endif

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libexslt)

%description
Tools used by the OpenStack Documentation project.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(demjson)
Requires:       python3dist(docutils)
Requires:       python3dist(iso8601)
Requires:       python3dist(lxml)
Requires:       python3dist(pbr)
Requires:       python3dist(pyyaml)
Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
Tools used by the OpenStack Documentation project.

%package -n python-%{pypi_name}-doc
Summary:        openstack-doc-tools documentation

%description -n python-%{pypi_name}-doc
Documentation for openstack-doc-tools

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%if %{without checks}
rm -rf %{buildroot}%{_datadir}/%{pypi_name}
%endif

%if %{with checks}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc doc/source/doc-tools-readme.rst doc/source/sitemap-readme.rst sitemap/README.rst README.rst
%{_bindir}/doc-tools-build-rst
%{_bindir}/doc-tools-check-languages
%{_bindir}/openstack-indexpage
%{_bindir}/openstack-jsoncheck
%{python3_sitelib}/os_doc_tools
%{python3_sitelib}/openstack_doc_tools-%{version}-py?.?.egg-info

%if %with_docs
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.10.0-3.mga8
+ Revision: 1533853
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.10.0-2.mga8
+ Revision: 1445509
- rebuild for python-3.8

* Sun Aug 04 2019 wally <wally> 1.10.0-1.mga8
+ Revision: 1427287
- new version 1.10.0
- drop python2 support
- enable doc build

* Wed Jan 09 2019 kekepower <kekepower> 1.8.0-1.mga7
+ Revision: 1353351
- Remove the sitemap files as they require python-scrapy
- Disable checks for now
- Disable docs for now
- imported package python-openstack-doc-tools

